-- by Lizzar

DoubleWeight = {};

function DoubleWeight:loadMap(name)
		
	local realMass = {};
	
	realMass[10] = 0.000730 
	realMass[11] = 0.000740 
	realMass[26] = 0.000460 
	realMass[16] = 0.000070 
	realMass[17] = 0.000070 
	realMass[9] = 0.000800 
	realMass[30] = 0.000700 
	realMass[45] = 0.000790 
	realMass[46] = 0.000980 
	realMass[6] = 0.000720 
	realMass[2] = 0.000790 
	realMass[3] = 0.000630 
	realMass[4] = 0.000630
	realMass[21] = 0.001000 
	realMass[19] = 0.001000
	realMass[20] = 0.000840 
	realMass[32] = 0.000840 
	realMass[33] = 0.000840 
	realMass[14] = 0.000350 
	realMass[15] = 0.000350 
	
	realMass[24] = 0.000320 
	realMass[25] = 0.000310 

	realMass[23] = 0.0002 --
	realMass[29] = 0.0001 --
	realMass[27] = 0.0002 --
	realMass[43] = 0.001100 
	
	realMass[50] = 0.001100
	
	
	realMass[22] = 0.000350 
	
	
	realMass[28] = 0.000360 
	
	
	realMass[35] = 1;
	realMass[36] = 1;
	realMass[37] = 1;
	realMass[38] = 1;
	realMass[39] = 1;
	realMass[40] = 1;
	realMass[41] = 1;
	realMass[42] = 1;
	
	realMass[7] = 0.00035; 
	realMass[8] = 0.0007; 
	realMass[31] = 0.00004;

	realMass[51] = 0.0008; 

	realMass[47] = 0.0005;
	realMass[44] = 0.0008;
	
	realMass[12] = 0.00075;
	realMass[48] = 0.0006;
		
	local seedUsage = {};
	local windrow  = {};
	local liter = {};
	
	--wheat
	seedUsage[1] = 0.0230;
	windrow[1] = 4.5;
	liter[1] = 0.8900;
	
	--barley
	seedUsage[2] = 0.0260;
	windrow[2] = 5.4;
	liter[2] = 0.8250;
	
	--oat
	seedUsage[3] = 0.0230;
	windrow[3] = 4.5;
	liter[3] = 0.8900;
	
	--rape
	seedUsage[5] = 0.0020;
	liter[5] = 0.4920;
	
	--sunflower
	seedUsage[6] = 0.0030;
	liter[6] = 0.5200;
	
	--soybean
	seedUsage[7] = 0.0225;
	liter[7] = 0.4200;
	
	--maize
	seedUsage[8] = 0.0045;
	liter[8] = 1.1700;
	
	--potato
	seedUsage[9] = 0.2300;
	liter[9] = 4.1300;
	
	--sugarbeet
	seedUsage[10] = 0.0016;
	liter[10] = 7.2000;
	
	--oilseedRadish
	seedUsage[11] = 0.0020;
	liter[11] = 0.9900;
	
	--poplar
	seedUsage[12] = 0.9000;
	liter[12] = 6.5000;
	
	--grass
	seedUsage[13] = 0.0070;
	windrow[13] = 3.2500;
	liter[13] = 3.2500;
	
	--drygrass
	seedUsage[14] = 0.0070;
	windrow[14] = 3.2500;
	liter[14] = 3.2500;
	
	--sugarcane
	seedUsage[15] = 1.8500;
	liter[15] = 20;
		
		for i, v in pairs(g_currentMission.fruitTypeManager.weedFruitType) do
		  print(i,v);
		end;
		
		for i, v in pairs(g_currentMission.fruitTypeManager.fruitTypes) do
		  
		  if liter[i] ~= nil then
		    g_currentMission.fruitTypeManager.fruitTypes[i].literPerSqm = liter[i];
		  end;
		  
		  if seedUsage[i] ~= nil then
		    g_currentMission.fruitTypeManager.fruitTypes[i].seedUsagePerSqm = seedUsage[i];
		  end;
		  
		  if windrow[i] ~= nil then
		    g_currentMission.fruitTypeManager.fruitTypes[i].windrowLiterPerSqm = windrow[i];
		  end;
		  
		end;
		
		
		for i, v in pairs(g_currentMission.fillTypeManager.fillTypes) do
		  
		  if realMass[i] ~= nil then
		    g_currentMission.fillTypeManager.fillTypes[i].massPerLiter = realMass[i];
		  else
		    g_currentMission.fillTypeManager.fillTypes[i].massPerLiter = g_currentMission.fillTypeManager.fillTypes[i].massPerLiter * 2;
		  end;
		end;
		

end;


function DoubleWeight:keyEvent(unicode, sym, modifier, isDown)
end;
function DoubleWeight:update(dt)
end;
function DoubleWeight:draw()
end;
function DoubleWeight:deleteMap()
end;
function DoubleWeight:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(DoubleWeight);







